Get badge custom field by ID

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to retrieve custom field details using custom field ID.

👍

Note

For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call.

Example request

curl --location 'https://eu.api.capillarytech.com/api_gateway/v1/badges/customField/68c80d2e28a4f97c042c5daa' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--header 'Authorization: Basic bWFkaHVzI3MjU2YQ==' \
--header 'Cookie: _cfuvid=.WgVCi5zQoIGi4K1C9BdZuw_u5XdPxOmzWrvi.sO9xA-1771420714759-0.0.1.1-604800000'

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Default access group

Resource information

URI/api_gateway/v1/badges/customField/{customFieldId}
HTTP methodGET
Pagination supportedNo
Rate limitNA
Batch supportNA

Request path parameter

Parameter NameData TypeDescription
customFieldId*StringUnique ID of the custom field.

Example response

{
    "data": {
        "id": "68c80d2e28a4f97c042c5daa",
        "orgId": 100737,
        "name": "CF 155",
        "isMandatory": false,
        "defaultValue": null,
        "isActive": true,
        "dataType": "STRING",
        "createdOn": 1757941038.711000000,
        "createdOnISO": "2025-09-15T12:57:18Z",
        "createdBy": 75176138,
        "lastUpdatedOn": 1762843579.904000000,
        "lastUpdatedOnISO": "2025-11-11T06:46:19Z",
        "lastUpdatedBy": 75176138
    },
    "errors": [],
    "warnings": []
}

Response parameters

Parameter NameData TypeDescription
idStringThe unique identifier of the custom field.
orgIdIntegerThe org ID the custom field belongs to.
nameStringThe name of the custom field.
isMandatoryBooleanIndicates if the custom field is mandatory.
defaultValueStringThe default value of the custom field.
isActiveBooleanIndicates if the custom field is active.
dataTypeEnumThe data type of the custom field's value.
createdOnDateThe timestamp when the custom field was created, in epoch timestamp format.
createdOnISOString

The timestamp when the custom field was created, in ISO 8601 format, is returned in the server time zone.

EU server example 2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example 2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

createdByIntegerThe identifier of the user who created the custom field.
lastUpdatedOnDateThe timestamp of the last update to the custom field, in epoch timestamp format.
lastUpdatedOnISOString

The timestamp when the custom field was last updated, in ISO 8601 format, is returned in the server time zone.

EU server example 2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example 2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

lastUpdatedByIntegerThe identifier of the user who last updated the custom field.
errorsObjectA list of errors, if any, occurred during the operation.
warningsObjectA list of warnings, if any, occurred during the operation.
Path Params
string
required
Body Params
string
required
string
string
string
string
enum
required
Allowed:
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json